from django.urls import path, include
from rest_framework.routers import DefaultRouter
from .views import JobPublicViewSet, JobManageViewSet, MyFavoritesView

router = DefaultRouter()
router.register('public', JobPublicViewSet, basename='job-public')
router.register('manage', JobManageViewSet, basename='job-manage')

urlpatterns = [
    path('', include(router.urls)),
    path('favorites/', MyFavoritesView.as_view()),
]
